Skip to main content
GET
Get MCP server auth status for a subject

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

mcpServerId
string
required

MCP server id (the id returned by GET /v1/mcp, not the name).

Example:

"mcp-01HXYZ..."

Query Parameters

subjectId
string
required

Target subject id.

subjectType
enum<string>
required

Subject type for the target principal.

Available options:
user,
virtualaccount,
serviceaccount,
agent,
agent-identity

Response

Per-subject auth status for the MCP server.

status
enum<string>
required
Available options:
authenticated,
authentication_required,
authentication_not_required
method
enum<string> | null

Authentication source that satisfied this status.

Available options:
oauth,
auth-override
expiresAt
string | null

When the access token expires (ISO 8601 UTC). Only for OAuth2 credentials.

Example:

"2026-10-01T12:40:00.000Z"

isRefreshable
boolean | null

Whether a new access token can be obtained without the user re-authorizing. Only for OAuth2 credentials.

Example:

true

lastUpdatedAt
string | null

When the stored OAuth2 credential was last written (ISO 8601 UTC).

Example:

"2026-10-01T11:40:00.000Z"

refreshFailureCount
number | null

Consecutive background token refresh failures; 0 when none. Only for OAuth2 credentials.

Example:

0

refreshFailureMessage
string | null

Provider error from the most recent background token refresh failure. Only for OAuth2 credentials.

Example:

"invalid_grant: refresh token expired"